List replies to a comment
curl --request GET \
--url https://api.social-api.ai/v1/inbox/comments/{postId}/{commentId}/replies \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.social-api.ai/v1/inbox/comments/{postId}/{commentId}/replies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.social-api.ai/v1/inbox/comments/{postId}/{commentId}/replies"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"author_headline": "<string>",
"author_id": "<string>",
"author_name": "<string>",
"author_picture": "<string>",
"author_profile_url": "<string>",
"author_username": "<string>",
"capabilities": {
"can_delete": true,
"can_hide": true,
"can_like": true,
"can_private_reply": true,
"can_reply": true
},
"created_at": "<string>",
"has_replies": true,
"id": "sapi_cmt_TT974YVQH4RAHNN2HY2DJSNY9111D7LMTP1XXPCVQVL",
"is_hidden": true,
"is_owner": true,
"like_count": 123,
"liked_by_viewer": true,
"moderation_status": "<string>",
"parent_id": "<string>",
"platform": "<string>",
"platform_id": "<string>",
"reply_count": 123,
"text": "<string>"
}
],
"pagination": {
"has_more": true,
"next_cursor": "<string>"
}
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
}
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
}
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
}
}Inbox Comments
List replies to a comment
Returns paginated replies to a specific comment. Same response shape as top-level comments. Uses cursor-based pagination.
GET
/
inbox
/
comments
/
{postId}
/
{commentId}
/
replies
List replies to a comment
curl --request GET \
--url https://api.social-api.ai/v1/inbox/comments/{postId}/{commentId}/replies \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.social-api.ai/v1/inbox/comments/{postId}/{commentId}/replies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.social-api.ai/v1/inbox/comments/{postId}/{commentId}/replies"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"author_headline": "<string>",
"author_id": "<string>",
"author_name": "<string>",
"author_picture": "<string>",
"author_profile_url": "<string>",
"author_username": "<string>",
"capabilities": {
"can_delete": true,
"can_hide": true,
"can_like": true,
"can_private_reply": true,
"can_reply": true
},
"created_at": "<string>",
"has_replies": true,
"id": "sapi_cmt_TT974YVQH4RAHNN2HY2DJSNY9111D7LMTP1XXPCVQVL",
"is_hidden": true,
"is_owner": true,
"like_count": 123,
"liked_by_viewer": true,
"moderation_status": "<string>",
"parent_id": "<string>",
"platform": "<string>",
"platform_id": "<string>",
"reply_count": 123,
"text": "<string>"
}
],
"pagination": {
"has_more": true,
"next_cursor": "<string>"
}
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
}
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
}
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
}
}Authorizations
Prefix your API key with "Bearer ". Example: Authorization: Bearer sapi_key_...
Path Parameters
Platform post ID
Platform comment ID to get replies for
Query Parameters
Connected account ID that owns the post
Max results per page (default 10)
Pagination cursor from previous response